IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/56
Addresses2^72
/64 networks256
- Network
2c19:dd:dd:5600::/56- First address
2c19:dd:dd:5600::- Last address
2c19:dd:dd:56ff:ffff:ffff:ffff:ffff- Addresses
- 4,722,366,482,869,645,213,696 (2^72)
- /64 networks (LANs)
- 256
- Full form
2c19:00dd:00dd:5600:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
6.5.d.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:dd:5600::/56 makes 256 subnets of /64.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:dd:5600::/64 | 2c19:dd:dd:5600:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:dd:5601::/64 | 2c19:dd:dd:5601:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:dd:5602::/64 | 2c19:dd:dd:5602:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:dd:5603::/64 | 2c19:dd:dd:5603:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:dd:5604::/64 | 2c19:dd:dd:5604:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:dd:5605::/64 | 2c19:dd:dd:5605:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:dd:5606::/64 | 2c19:dd:dd:5606:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:dd:5607::/64 | 2c19:dd:dd:5607:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:dd:5608::/64 | 2c19:dd:dd:5608:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:dd:5609::/64 | 2c19:dd:dd:5609:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:dd:560a::/64 | 2c19:dd:dd:560a:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:dd:560b::/64 | 2c19:dd:dd:560b:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:dd:560c::/64 | 2c19:dd:dd:560c:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:dd:560d::/64 | 2c19:dd:dd:560d:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:dd:560e::/64 | 2c19:dd:dd:560e:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:dd:560f::/64 | 2c19:dd:dd:560f:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:dd:5610::/64 | 2c19:dd:dd:5610:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:dd:5611::/64 | 2c19:dd:dd:5611:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:dd:5612::/64 | 2c19:dd:dd:5612:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:dd:5613::/64 | 2c19:dd:dd:5613:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:dd:5614::/64 | 2c19:dd:dd:5614:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:dd:5615::/64 | 2c19:dd:dd:5615:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:dd:5616::/64 | 2c19:dd:dd:5616:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:dd:5617::/64 | 2c19:dd:dd:5617:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:dd:5618::/64 | 2c19:dd:dd:5618:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:dd:5619::/64 | 2c19:dd:dd:5619:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:dd:561a::/64 | 2c19:dd:dd:561a:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:dd:561b::/64 | 2c19:dd:dd:561b:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:dd:561c::/64 | 2c19:dd:dd:561c:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:dd:561d::/64 | 2c19:dd:dd:561d:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:dd:561e::/64 | 2c19:dd:dd:561e:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:dd:561f::/64 | 2c19:dd:dd:561f:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:dd:5620::/64 | 2c19:dd:dd:5620:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:dd:5621::/64 | 2c19:dd:dd:5621:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:dd:5622::/64 | 2c19:dd:dd:5622:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:dd:5623::/64 | 2c19:dd:dd:5623:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:dd:5624::/64 | 2c19:dd:dd:5624:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:dd:5625::/64 | 2c19:dd:dd:5625:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:dd:5626::/64 | 2c19:dd:dd:5626:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:dd:5627::/64 | 2c19:dd:dd:5627:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:dd:5628::/64 | 2c19:dd:dd:5628:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:dd:5629::/64 | 2c19:dd:dd:5629:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:dd:562a::/64 | 2c19:dd:dd:562a:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:dd:562b::/64 | 2c19:dd:dd:562b:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:dd:562c::/64 | 2c19:dd:dd:562c:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:dd:562d::/64 | 2c19:dd:dd:562d:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:dd:562e::/64 | 2c19:dd:dd:562e:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:dd:562f::/64 | 2c19:dd:dd:562f:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:dd:5630::/64 | 2c19:dd:dd:5630:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:dd:5631::/64 | 2c19:dd:dd:5631:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:dd:5632::/64 | 2c19:dd:dd:5632:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:dd:5633::/64 | 2c19:dd:dd:5633:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:dd:5634::/64 | 2c19:dd:dd:5634:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:dd:5635::/64 | 2c19:dd:dd:5635:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:dd:5636::/64 | 2c19:dd:dd:5636:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:dd:5637::/64 | 2c19:dd:dd:5637:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:dd:5638::/64 | 2c19:dd:dd:5638:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:dd:5639::/64 | 2c19:dd:dd:5639:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:dd:563a::/64 | 2c19:dd:dd:563a:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:dd:563b::/64 | 2c19:dd:dd:563b:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:dd:563c::/64 | 2c19:dd:dd:563c:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:dd:563d::/64 | 2c19:dd:dd:563d:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:dd:563e::/64 | 2c19:dd:dd:563e:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:dd:563f::/64 | 2c19:dd:dd:563f:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:dd:5640::/64 | 2c19:dd:dd:5640:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:dd:5641::/64 | 2c19:dd:dd:5641:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:dd:5642::/64 | 2c19:dd:dd:5642:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:dd:5643::/64 | 2c19:dd:dd:5643:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:dd:5644::/64 | 2c19:dd:dd:5644:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:dd:5645::/64 | 2c19:dd:dd:5645:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:dd:5646::/64 | 2c19:dd:dd:5646:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:dd:5647::/64 | 2c19:dd:dd:5647:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:dd:5648::/64 | 2c19:dd:dd:5648:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:dd:5649::/64 | 2c19:dd:dd:5649:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:dd:564a::/64 | 2c19:dd:dd:564a:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:dd:564b::/64 | 2c19:dd:dd:564b:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:dd:564c::/64 | 2c19:dd:dd:564c:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:dd:564d::/64 | 2c19:dd:dd:564d:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:dd:564e::/64 | 2c19:dd:dd:564e:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:dd:564f::/64 | 2c19:dd:dd:564f:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:dd:5650::/64 | 2c19:dd:dd:5650:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:dd:5651::/64 | 2c19:dd:dd:5651:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:dd:5652::/64 | 2c19:dd:dd:5652:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:dd:5653::/64 | 2c19:dd:dd:5653:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:dd:5654::/64 | 2c19:dd:dd:5654:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:dd:5655::/64 | 2c19:dd:dd:5655:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:dd:5656::/64 | 2c19:dd:dd:5656:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:dd:5657::/64 | 2c19:dd:dd:5657:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:dd:5658::/64 | 2c19:dd:dd:5658:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:dd:5659::/64 | 2c19:dd:dd:5659:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:dd:565a::/64 | 2c19:dd:dd:565a:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:dd:565b::/64 | 2c19:dd:dd:565b:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:dd:565c::/64 | 2c19:dd:dd:565c:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:dd:565d::/64 | 2c19:dd:dd:565d:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:dd:565e::/64 | 2c19:dd:dd:565e:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:dd:565f::/64 | 2c19:dd:dd:565f:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:dd:5660::/64 | 2c19:dd:dd:5660:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:dd:5661::/64 | 2c19:dd:dd:5661:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:dd:5662::/64 | 2c19:dd:dd:5662:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:dd:5663::/64 | 2c19:dd:dd:5663:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:dd:5664::/64 | 2c19:dd:dd:5664:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:dd:5665::/64 | 2c19:dd:dd:5665:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:dd:5666::/64 | 2c19:dd:dd:5666:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:dd:5667::/64 | 2c19:dd:dd:5667:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:dd:5668::/64 | 2c19:dd:dd:5668:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:dd:5669::/64 | 2c19:dd:dd:5669:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:dd:566a::/64 | 2c19:dd:dd:566a:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:dd:566b::/64 | 2c19:dd:dd:566b:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:dd:566c::/64 | 2c19:dd:dd:566c:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:dd:566d::/64 | 2c19:dd:dd:566d:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:dd:566e::/64 | 2c19:dd:dd:566e:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:dd:566f::/64 | 2c19:dd:dd:566f:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:dd:5670::/64 | 2c19:dd:dd:5670:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:dd:5671::/64 | 2c19:dd:dd:5671:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:dd:5672::/64 | 2c19:dd:dd:5672:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:dd:5673::/64 | 2c19:dd:dd:5673:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:dd:5674::/64 | 2c19:dd:dd:5674:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:dd:5675::/64 | 2c19:dd:dd:5675:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:dd:5676::/64 | 2c19:dd:dd:5676:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:dd:5677::/64 | 2c19:dd:dd:5677:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:dd:5678::/64 | 2c19:dd:dd:5678:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:dd:5679::/64 | 2c19:dd:dd:5679:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:dd:567a::/64 | 2c19:dd:dd:567a:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:dd:567b::/64 | 2c19:dd:dd:567b:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:dd:567c::/64 | 2c19:dd:dd:567c:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:dd:567d::/64 | 2c19:dd:dd:567d:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:dd:567e::/64 | 2c19:dd:dd:567e:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:dd:567f::/64 | 2c19:dd:dd:567f:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:dd:5680::/64 | 2c19:dd:dd:5680:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:dd:5681::/64 | 2c19:dd:dd:5681:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:dd:5682::/64 | 2c19:dd:dd:5682:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:dd:5683::/64 | 2c19:dd:dd:5683:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:dd:5684::/64 | 2c19:dd:dd:5684:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:dd:5685::/64 | 2c19:dd:dd:5685:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:dd:5686::/64 | 2c19:dd:dd:5686:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:dd:5687::/64 | 2c19:dd:dd:5687:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:dd:5688::/64 | 2c19:dd:dd:5688:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:dd:5689::/64 | 2c19:dd:dd:5689:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:dd:568a::/64 | 2c19:dd:dd:568a:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:dd:568b::/64 | 2c19:dd:dd:568b:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:dd:568c::/64 | 2c19:dd:dd:568c:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:dd:568d::/64 | 2c19:dd:dd:568d:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:dd:568e::/64 | 2c19:dd:dd:568e:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:dd:568f::/64 | 2c19:dd:dd:568f:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:dd:5690::/64 | 2c19:dd:dd:5690:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:dd:5691::/64 | 2c19:dd:dd:5691:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:dd:5692::/64 | 2c19:dd:dd:5692:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:dd:5693::/64 | 2c19:dd:dd:5693:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:dd:5694::/64 | 2c19:dd:dd:5694:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:dd:5695::/64 | 2c19:dd:dd:5695:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:dd:5696::/64 | 2c19:dd:dd:5696:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:dd:5697::/64 | 2c19:dd:dd:5697:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:dd:5698::/64 | 2c19:dd:dd:5698:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:dd:5699::/64 | 2c19:dd:dd:5699:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:dd:569a::/64 | 2c19:dd:dd:569a:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:dd:569b::/64 | 2c19:dd:dd:569b:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:dd:569c::/64 | 2c19:dd:dd:569c:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:dd:569d::/64 | 2c19:dd:dd:569d:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:dd:569e::/64 | 2c19:dd:dd:569e:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:dd:569f::/64 | 2c19:dd:dd:569f:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:dd:56a0::/64 | 2c19:dd:dd:56a0:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:dd:56a1::/64 | 2c19:dd:dd:56a1:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:dd:56a2::/64 | 2c19:dd:dd:56a2:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:dd:56a3::/64 | 2c19:dd:dd:56a3:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:dd:56a4::/64 | 2c19:dd:dd:56a4:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:dd:56a5::/64 | 2c19:dd:dd:56a5:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:dd:56a6::/64 | 2c19:dd:dd:56a6:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:dd:56a7::/64 | 2c19:dd:dd:56a7:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:dd:56a8::/64 | 2c19:dd:dd:56a8:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:dd:56a9::/64 | 2c19:dd:dd:56a9:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:dd:56aa::/64 | 2c19:dd:dd:56aa:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:dd:56ab::/64 | 2c19:dd:dd:56ab:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:dd:56ac::/64 | 2c19:dd:dd:56ac:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:dd:56ad::/64 | 2c19:dd:dd:56ad:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:dd:56ae::/64 | 2c19:dd:dd:56ae:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:dd:56af::/64 | 2c19:dd:dd:56af:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:dd:56b0::/64 | 2c19:dd:dd:56b0:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:dd:56b1::/64 | 2c19:dd:dd:56b1:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:dd:56b2::/64 | 2c19:dd:dd:56b2:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:dd:56b3::/64 | 2c19:dd:dd:56b3:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:dd:56b4::/64 | 2c19:dd:dd:56b4:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:dd:56b5::/64 | 2c19:dd:dd:56b5:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:dd:56b6::/64 | 2c19:dd:dd:56b6:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:dd:56b7::/64 | 2c19:dd:dd:56b7:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:dd:56b8::/64 | 2c19:dd:dd:56b8:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:dd:56b9::/64 | 2c19:dd:dd:56b9:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:dd:56ba::/64 | 2c19:dd:dd:56ba:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:dd:56bb::/64 | 2c19:dd:dd:56bb:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:dd:56bc::/64 | 2c19:dd:dd:56bc:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:dd:56bd::/64 | 2c19:dd:dd:56bd:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:dd:56be::/64 | 2c19:dd:dd:56be:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:dd:56bf::/64 | 2c19:dd:dd:56bf:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:dd:56c0::/64 | 2c19:dd:dd:56c0:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:dd:56c1::/64 | 2c19:dd:dd:56c1:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:dd:56c2::/64 | 2c19:dd:dd:56c2:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:dd:56c3::/64 | 2c19:dd:dd:56c3:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:dd:56c4::/64 | 2c19:dd:dd:56c4:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:dd:56c5::/64 | 2c19:dd:dd:56c5:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:dd:56c6::/64 | 2c19:dd:dd:56c6:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:dd:56c7::/64 | 2c19:dd:dd:56c7:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:dd:56c8::/64 | 2c19:dd:dd:56c8:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:dd:56c9::/64 | 2c19:dd:dd:56c9:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:dd:56ca::/64 | 2c19:dd:dd:56ca:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:dd:56cb::/64 | 2c19:dd:dd:56cb:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:dd:56cc::/64 | 2c19:dd:dd:56cc:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:dd:56cd::/64 | 2c19:dd:dd:56cd:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:dd:56ce::/64 | 2c19:dd:dd:56ce:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:dd:56cf::/64 | 2c19:dd:dd:56cf:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:dd:56d0::/64 | 2c19:dd:dd:56d0:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:dd:56d1::/64 | 2c19:dd:dd:56d1:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:dd:56d2::/64 | 2c19:dd:dd:56d2:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:dd:56d3::/64 | 2c19:dd:dd:56d3:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:dd:56d4::/64 | 2c19:dd:dd:56d4:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:dd:56d5::/64 | 2c19:dd:dd:56d5:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:dd:56d6::/64 | 2c19:dd:dd:56d6:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:dd:56d7::/64 | 2c19:dd:dd:56d7:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:dd:56d8::/64 | 2c19:dd:dd:56d8:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:dd:56d9::/64 | 2c19:dd:dd:56d9:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:dd:56da::/64 | 2c19:dd:dd:56da:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:dd:56db::/64 | 2c19:dd:dd:56db:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:dd:56dc::/64 | 2c19:dd:dd:56dc:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:dd:56dd::/64 | 2c19:dd:dd:56dd:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:dd:56de::/64 | 2c19:dd:dd:56de:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:dd:56df::/64 | 2c19:dd:dd:56df:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:dd:56e0::/64 | 2c19:dd:dd:56e0:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:dd:56e1::/64 | 2c19:dd:dd:56e1:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:dd:56e2::/64 | 2c19:dd:dd:56e2:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:dd:56e3::/64 | 2c19:dd:dd:56e3:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:dd:56e4::/64 | 2c19:dd:dd:56e4:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:dd:56e5::/64 | 2c19:dd:dd:56e5:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:dd:56e6::/64 | 2c19:dd:dd:56e6:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:dd:56e7::/64 | 2c19:dd:dd:56e7:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:dd:56e8::/64 | 2c19:dd:dd:56e8:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:dd:56e9::/64 | 2c19:dd:dd:56e9:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:dd:56ea::/64 | 2c19:dd:dd:56ea:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:dd:56eb::/64 | 2c19:dd:dd:56eb:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:dd:56ec::/64 | 2c19:dd:dd:56ec:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:dd:56ed::/64 | 2c19:dd:dd:56ed:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:dd:56ee::/64 | 2c19:dd:dd:56ee:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:dd:56ef::/64 | 2c19:dd:dd:56ef:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:dd:56f0::/64 | 2c19:dd:dd:56f0:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:dd:56f1::/64 | 2c19:dd:dd:56f1:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:dd:56f2::/64 | 2c19:dd:dd:56f2:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:dd:56f3::/64 | 2c19:dd:dd:56f3:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:dd:56f4::/64 | 2c19:dd:dd:56f4:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:dd:56f5::/64 | 2c19:dd:dd:56f5:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:dd:56f6::/64 | 2c19:dd:dd:56f6:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:dd:56f7::/64 | 2c19:dd:dd:56f7:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:dd:56f8::/64 | 2c19:dd:dd:56f8:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:dd:56f9::/64 | 2c19:dd:dd:56f9:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:dd:56fa::/64 | 2c19:dd:dd:56fa:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:dd:56fb::/64 | 2c19:dd:dd:56fb:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:dd:56fc::/64 | 2c19:dd:dd:56fc:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:dd:56fd::/64 | 2c19:dd:dd:56fd:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:dd:56fe::/64 | 2c19:dd:dd:56fe:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:dd:56ff::/64 | 2c19:dd:dd:56ff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |